%global         upname   pytensor
%define         capname  PyTensor
%define         srcname  pytensor-rel


Name:           python-pytensor
Version:        2.18.6
Release:        %mkrel 4
Group:          Development/Python
Summary:        A Python library for evaluating mathematical expressions
License:        MIT
URL:            https://github.com/pymc-devs/pytensor/
Source0:        https://github.com/pymc-devs/pytensor/archive/refs/tags/rel-%{version}.tar.gz


%description
PyTensor is a Python library that allows you to define, optimize, and
evaluate mathematical expressions involving multi-dimensional arrays. PyTensor
features:
* A hackable, pure-Python codebase
* Extensible graph framework suitable for rapid development of custom operators
and symbolic optimizations
* Implements an extensible graph transpilation framework that currently provides
compilation via C, JAX, and Numba
* Contrary to PyTorch and TensorFlow, PyTensor maintains a static graph which
can be modified in-place to allow for advanced optimizations


%package -n python3-%{upname}
Summary:        A Python3 library for evaluating mathematical expressions
BuildRequires:  pkgconfig(python3)
BuildRequires:  python-numpy-devel

# ease upgrade mga9 -> mga10
Obsoletes:       python3-theano < 1.1.2-2
Provides:        python3-theano = %{version}-%{release}
Obsoletes:       python3-theano-pymc < 1.1.2-2
Provides:        python3-theano-pymc = %{version}-%{release}

%description -n python3-%{upname}
PyTensor is a Python library that allows you to define, optimize, and
evaluate mathematical expressions involving multi-dimensional arrays. PyTensor
features:
* A hackable, pure-Python codebase
* Extensible graph framework suitable for rapid development of custom operators
and symbolic optimizations
* Implements an extensible graph transpilation framework that currently provides
compilation via C, JAX, and Numba
* Contrary to PyTorch and TensorFlow, PyTensor maintains a static graph which
can be modified in-place to allow for advanced optimizations


%prep
%autosetup -n %{srcname}-%{version}

sed -i "s/==0.28//" pyproject.toml
sed -i 's/requires-python = ">=3.9,<3.12"/requires-python = ">=3.9,<3.13"/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytensor bin

%py3_shebang_fix %{buildroot}%{python3_sitearch}/bin/pytensor-cache

%check
%tox

%files -n python3-%{upname} -f %{pyproject_files}
%doc README.rst LICENSE.txt
%{_bindir}/pytensor-cache


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.18.6-4.mga10
+ Revision: 2242315
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 2.18.6-3.mga10
+ Revision: 2159866
- rebuild for python3.13

* Wed Mar 06 2024 daviddavid <daviddavid> 2.18.6-2.mga10
+ Revision: 2048015
- obsoletes/provides properly python3-theano and python3-theano-pymc to ease
  upgrade mga9 -> mga10
- re-enable debug info as it should

* Mon Mar 04 2024 papoteur <papoteur> 2.18.6-1.mga10
+ Revision: 2047563
- move to pytensor
- version 2.18.6

* Sun Dec 04 2022 eatdirt <eatdirt> 1.1.2-1.mga9
+ Revision: 1917600
- Upgrade to version 1.1.2
+ neoclust <neoclust>
- New version  1.1.2

* Tue Apr 05 2022 umeabot <umeabot> 1.0.5-4.mga9
+ Revision: 1844179
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 1.0.5-3.mga9
+ Revision: 1781612
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.5-2.mga9
+ Revision: 1732394
- Rebuild for python 3.9

* Fri Sep 04 2020 eatdirt <eatdirt> 1.0.5-1.mga8
+ Revision: 1621911
- Upgrade to version 1.0.5

* Sun Feb 16 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1532689
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.0.4-2.mga8
+ Revision: 1442606
- rebuild for python-3.8
- drop python2 subpkg

* Wed Mar 06 2019 eatdirt <eatdirt> 1.0.4-1.mga7
+ Revision: 1371995
- Upgrade to version 1.0.4

* Wed Jan 09 2019 shlomif <shlomif> 1.0.2-3.mga7
+ Revision: 1353937
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1290429
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 eatdirt <eatdirt> 1.0.2-1.mga7
+ Revision: 1252217
- imported package python-theano

